Skip to main content

Modify Global Cluster CU (V2)

Modifies CU size or CU autoscaling policy at Global Cluster level. CU settings apply to all member clusters.

POST/v2/globalClusters/{globalClusterId}/modifyCU
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired

ID of the Global Cluster.

Example Value: glo-xxxxxxxxxxxxxxx
Request Body
cuSizeinteger

Target CU size. Mutually exclusive with autoscaling.cu.

Example Value: 8
autoscalingobject

Autoscaling policy for the Global Cluster.

cuobject

CU autoscaling policy. Configure either min and max for dynamic scaling, or schedules for scheduled scaling.

mininteger

Minimum CU for dynamic scaling. Must be set together with max.

Example Value: 4
maxinteger

Maximum CU for dynamic scaling. Must be set together with min.

Example Value: 16
schedulesarray

Scheduled scaling rules.

[]schedulesobject
cronstringrequired

Cron expression for scheduled scaling.

Example Value: 0 9 * * 1-4
targetintegerrequired

Target CU size for the schedule.

Example Value: 8
bash
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/modifyCU" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"cuSize": 8
}'
bash
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/modifyCU" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"autoscaling": {
"cu": {
"min": 4,
"max": 16
}
}
}'
bash
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/modifyCU" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"autoscaling": {
"cu": {
"schedules": [
{
"cron": "0 9 * * 1-4",
"target": 8,
"timezone": "UTC"
}
]
}
}
}'
Responses

Returns the CU modification job.

jobIdstring

Job ID for the asynchronous operation.

Example Value: job-xxxxxxxxxxxxxxx

Returns an error message.

codeinteger

Response code.

Example Value: 400
messagestring

Error message.

Example Value: Invalid request parameters.
Successjson
{
"jobId": "job-xxxxxxxxxxxxxxx"
}
Ctrl I